CoverageStatisticsCalculator
Date: 2014-10-01

artificialFastqGenerator

## Class CoverageStatisticsCalculator

- java.lang.Object
- - artificialFastqGenerator.CoverageStatisticsCalculator

-     public class CoverageStatisticsCalculator
      extends java.lang.Object

  Instances of this class calculate regional and overall coverage statistics for nucleobases. Copyright (C) 2012 The Institute of Cancer Research (ICR). This file is part of ArtificialFastqGenerator v1.0.0. ArtificialFastqGenerator is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU Public License along with this program. If not, see Authour's contact email: Matthew.Frampton@icr.ac.uk

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoverageStatisticsCalculator()` Initialise a new CoverageStatisticsCalculator object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `logCoverageStatsHeader()` Log the coverage statistics header.
    `void` | `logOverallStats()` Log the overall coverage and error statistics.
    `void` | `logRegionStats()` Log the region coverage statistics.
    `void` | `updateRegionStatsFrom1Nucleobase(Nucleobase nucleobase)` Update the region coverage statistics from the coverage statistics for 1 nucleobase in that region.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoverageStatisticsCalculator

          public CoverageStatisticsCalculator()

      Initialise a new CoverageStatisticsCalculator object.

  - ### Method Detail

    - #### logCoverageStatsHeader

          public void logCoverageStatsHeader()

      Log the coverage statistics header.

    - #### updateRegionStatsFrom1Nucleobase

          public void updateRegionStatsFrom1Nucleobase(Nucleobase nucleobase)

      Update the region coverage statistics from the coverage statistics for 1 nucleobase in that region.
      Parameters:
        `nucleobase` - - nucleobase from which to update region stats.

    - #### logRegionStats

          public void logRegionStats()

      Log the region coverage statistics.

    - #### logOverallStats

          public void logOverallStats()

      Log the overall coverage and error statistics.